*** /NextDeveloper/Makefiles/app/basicrules.make	Wed Jul 14 15:08:25 1993
--- basicrules.make	Mon Aug  1 16:48:19 1994
***************
*** 13,35 ****
  	   .installsrc .writable .clean $(BUNDLE_EXTENSION) .depend \
  	   .lproj .dbmodel .dbmodela
  
! ALL_CFLAGS = $(CFLAGS) $(PROJ_CFLAGS) -I$(SYM_DIR) $(OTHER_CFLAGS) $(RC_CFLAGS)
  
  # Compilation rules:
  .c.o:
! 	$(CC) $(ALL_CFLAGS) -I. -c $< -o $(OFILE_DIR)/$*.o
  .m.o:
! 	$(CC) $(ALL_CFLAGS) -I. -c $< -o $(OFILE_DIR)/$*.o
  .M.o:
! 	$(CC) -ObjC++ $(ALL_CFLAGS) $(C++CFLAGS) -I. -c $< -o $(OFILE_DIR)/$*.o
  .C.o:
! 	$(CC) -ObjC++ $(ALL_CFLAGS) $(C++CFLAGS) -I. -c $< -o $(OFILE_DIR)/$*.o
  .cc.o:
! 	$(CC) -ObjC++ $(ALL_CFLAGS) $(C++CFLAGS) -I. -c $< -o $(OFILE_DIR)/$*.o
  .cxx.o:
! 	$(CC) -ObjC++ $(ALL_CFLAGS) $(C++CFLAGS) -I. -c $< -o $(OFILE_DIR)/$*.o
  .cpp.o:
! 	$(CC) -ObjC++ $(ALL_CFLAGS) $(C++CFLAGS) -I. -c $< -o $(OFILE_DIR)/$*.o
  
  .h.p:
  	-$(CC) -precomp $(ALL_CFLAGS) $*.h -o $*.p
--- 13,35 ----
  	   .installsrc .writable .clean $(BUNDLE_EXTENSION) .depend \
  	   .lproj .dbmodel .dbmodela
  
! ALL_CFLAGS = $(CFLAGS) $(PROJ_CFLAGS) -I$(SYM_DIR) $(OTHER_CFLAGS) $(RC_CFLAGS) -Wno-import
  
  # Compilation rules:
  .c.o:
! 	$(CC) $(ALL_CFLAGS) -I. -c $< -o $*.o
  .m.o:
! 	$(CC) $(ALL_CFLAGS) -I. -c $< -o $*.o
  .M.o:
! 	$(CC) -ObjC++ $(ALL_CFLAGS) $(C++CFLAGS) -I. -c $< -o $*.o
  .C.o:
! 	$(CC) -ObjC++ $(ALL_CFLAGS) $(C++CFLAGS) -I. -c $< -o $*.o
  .cc.o:
! 	$(CC) -ObjC++ $(ALL_CFLAGS) $(C++CFLAGS) -I. -c $< -o $*.o
  .cxx.o:
! 	$(CC) -ObjC++ $(ALL_CFLAGS) $(C++CFLAGS) -I. -c $< -o $*.o
  .cpp.o:
! 	$(CC) -ObjC++ $(ALL_CFLAGS) $(C++CFLAGS) -I. -c $< -o $*.o
  
  .h.p:
  	-$(CC) -precomp $(ALL_CFLAGS) $*.h -o $*.p
***************
*** 43,49 ****
  	$(PSWRAP) $(PSWFLAGS) -a -h $(SYM_DIR)/$*.h -o $(SYM_DIR)/$*.c $*.psw
  .psw.o:
  	$(PSWRAP) $(PSWFLAGS) -a -h $(SYM_DIR)/$*.h -o $(SYM_DIR)/$*.c $*.psw
! 	$(CC) $(ALL_CFLAGS) -c $(SYM_DIR)/$*.c -o $(OFILE_DIR)/$*.o
  .pswm.h:
  	$(PSWRAP) $(PSWFLAGS) -a -h $(SYM_DIR)/$*.h -o $(SYM_DIR)/$*.m $*.pswm
  .pswm.m:
--- 43,49 ----
  	$(PSWRAP) $(PSWFLAGS) -a -h $(SYM_DIR)/$*.h -o $(SYM_DIR)/$*.c $*.psw
  .psw.o:
  	$(PSWRAP) $(PSWFLAGS) -a -h $(SYM_DIR)/$*.h -o $(SYM_DIR)/$*.c $*.psw
! 	$(CC) $(ALL_CFLAGS) -c $(SYM_DIR)/$*.c -o $*.o
  .pswm.h:
  	$(PSWRAP) $(PSWFLAGS) -a -h $(SYM_DIR)/$*.h -o $(SYM_DIR)/$*.m $*.pswm
  .pswm.m:
***************
*** 50,56 ****
  	$(PSWRAP) $(PSWFLAGS) -a -h $(SYM_DIR)/$*.h -o $(SYM_DIR)/$*.m $*.pswm
  .pswm.o:
  	$(PSWRAP) $(PSWFLAGS) -a -h $(SYM_DIR)/$*.h -o $(SYM_DIR)/$*.m $*.pswm
! 	$(CC) $(ALL_CFLAGS) -c $(SYM_DIR)/$*.m -o $(OFILE_DIR)/$*.o
  
  
  # yacc and lex-related rules
--- 50,56 ----
  	$(PSWRAP) $(PSWFLAGS) -a -h $(SYM_DIR)/$*.h -o $(SYM_DIR)/$*.m $*.pswm
  .pswm.o:
  	$(PSWRAP) $(PSWFLAGS) -a -h $(SYM_DIR)/$*.h -o $(SYM_DIR)/$*.m $*.pswm
! 	$(CC) $(ALL_CFLAGS) -c $(SYM_DIR)/$*.m -o $*.o
  
  
  # yacc and lex-related rules
***************
*** 61,67 ****
  	  cmd="$(MV) $(MVFLAGS) y.tab.c $*.c" ; echo $$cmd; $$cmd ;	\
  	  cmd="$(CP) $(MVFLAGS) y.tab.h $*.h" ; echo $$cmd; $$cmd ;	\
  	cd $$initdir ; 							\
! 	cmd="$(CC) $(ALL_CFLAGS) -I$$initdir -c $(SYM_DIR)/$*.c -o $(OFILE_DIR)/$*.o" ; \
  	echo $$cmd ; $$cmd )
  
  .y.c .y.h:
--- 61,67 ----
  	  cmd="$(MV) $(MVFLAGS) y.tab.c $*.c" ; echo $$cmd; $$cmd ;	\
  	  cmd="$(CP) $(MVFLAGS) y.tab.h $*.h" ; echo $$cmd; $$cmd ;	\
  	cd $$initdir ; 							\
! 	cmd="$(CC) $(ALL_CFLAGS) -I$$initdir -c $(SYM_DIR)/$*.c -o $*.o" ; \
  	echo $$cmd ; $$cmd )
  
  .y.c .y.h:
***************
*** 78,84 ****
  	  cmd="$(MV) $(MVFLAGS) y.tab.c $*.m" ; echo $$cmd; $$cmd ;	\
  	  cmd="$(CP) $(MVFLAGS) y.tab.h $*.h" ; echo $$cmd; $$cmd ;	\
  	cd $$initdir ; 							\
! 	cmd="$(CC) $(ALL_CFLAGS) -I$$initdir -c $(SYM_DIR)/$*.m -o $(OFILE_DIR)/$*.o" ; \
  	echo $$cmd ; $$cmd )
  
  .ym.m .ym.h:
--- 78,84 ----
  	  cmd="$(MV) $(MVFLAGS) y.tab.c $*.m" ; echo $$cmd; $$cmd ;	\
  	  cmd="$(CP) $(MVFLAGS) y.tab.h $*.h" ; echo $$cmd; $$cmd ;	\
  	cd $$initdir ; 							\
! 	cmd="$(CC) $(ALL_CFLAGS) -I$$initdir -c $(SYM_DIR)/$*.m -o $*.o" ; \
  	echo $$cmd ; $$cmd )
  
  .ym.m .ym.h:
***************
*** 94,100 ****
  	  cmd="$(LEX) $(LFLAGS) $$initdir/$*.l" ; echo $$cmd; $$cmd ;	\
  	  cmd="$(MV) $(MVFLAGS) lex.yy.c $*.c" ; echo $$cmd; $$cmd ;	\
  	cd $$initdir ; 							\
! 	cmd="$(CC) $(ALL_CFLAGS) -I$$initdir -c $(SYM_DIR)/$*.c -o $(OFILE_DIR)/$*.o" ; \
  	echo $$cmd ; $$cmd )
  
  .l.c:
--- 94,100 ----
  	  cmd="$(LEX) $(LFLAGS) $$initdir/$*.l" ; echo $$cmd; $$cmd ;	\
  	  cmd="$(MV) $(MVFLAGS) lex.yy.c $*.c" ; echo $$cmd; $$cmd ;	\
  	cd $$initdir ; 							\
! 	cmd="$(CC) $(ALL_CFLAGS) -I$$initdir -c $(SYM_DIR)/$*.c -o $*.o" ; \
  	echo $$cmd ; $$cmd )
  
  .l.c:
***************
*** 109,115 ****
  	  cmd="$(LEX) $(LFLAGS) $$initdir/$*.lm" ; echo $$cmd; $$cmd ;	\
  	  cmd="$(MV) $(MVFLAGS) lex.yy.c $*.m" ; echo $$cmd; $$cmd ;	\
  	cd $$initdir ; 							\
! 	cmd="$(CC) $(ALL_CFLAGS) -I$$initdir -c $(SYM_DIR)/$*.m -o $(OFILE_DIR)/$*.o" ; \
  	echo $$cmd ; $$cmd )
  
  .lm.m:
--- 109,115 ----
  	  cmd="$(LEX) $(LFLAGS) $$initdir/$*.lm" ; echo $$cmd; $$cmd ;	\
  	  cmd="$(MV) $(MVFLAGS) lex.yy.c $*.m" ; echo $$cmd; $$cmd ;	\
  	cd $$initdir ; 							\
! 	cmd="$(CC) $(ALL_CFLAGS) -I$$initdir -c $(SYM_DIR)/$*.m -o $*.o" ; \
  	echo $$cmd ; $$cmd )
  
  .lm.m:
